.common-banner {
  --time: 4s;
  margin-bottom: 16px;
}
.common-banner .swiper-slide {
  position: relative;
}
.common-banner .swiper-slide.theme-white .text .text-title {
  color: #fff;
}
.common-banner .swiper-slide.theme-white .text .text-desc {
  color: rgba(255, 255, 255, 0.6);
}
.common-banner .swiper-slide.theme-white .text .btn-list .btn-type1 {
  color: #000;
  background-color: #fff;
  border: none;
}
.common-banner .swiper-slide.theme-white .text .btn-list .btn-type1 img {
  filter: none;
}
.common-banner .swiper-slide.theme-white .text .btn-list .btn-type1::after {
  background-color: rgba(0, 0, 0, 0.04);
}
@media (hover: hover) and (min-width: 769px) {
  .common-banner .swiper-slide.theme-white .text .btn-list .btn-type1:hover::after {
    opacity: 1;
  }
}
.common-banner .swiper-slide.theme-white .text .btn-list .btn-type2 {
  border: 1px solid #fff;
  background-color: transparent;
  color: #fff;
}
.common-banner .swiper-slide.theme-white .text .btn-list .btn-type2 img {
  filter: brightness(0) invert(1);
}
.common-banner .swiper-slide.theme-white .text .btn-list .btn-type2::after {
  display: none;
}
@media (hover: hover) and (min-width: 769px) {
  .common-banner .swiper-slide.theme-white .text .btn-list .btn-type2:hover {
    background-color: var(--theme);
    border-color: var(--theme);
  }
}
.common-banner .swiper-slide .pic .phone-img {
  display: none;
}
.common-banner .swiper-slide .pic .pc-img {
  display: block;
}
.common-banner .swiper-slide .pic img {
  width: 100%;
  height: auto;
  background-color: var(--skeleton);
}
.common-banner .swiper-slide .text {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 10.90909091%;
}
.common-banner .swiper-slide .text .text-desc {
  font-size: var(--font16);
  line-height: 1;
  font-weight: normal;
  text-align: center;
  color: rgba(0, 0, 0, 0.6);
}
.common-banner .swiper-slide .text .text-title {
  font-size: var(--font44);
  font-weight: 700;
  line-height: normal;
  text-align: center;
  color: #000000;
  margin-top: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  overflow-wrap: break-word;
}
.common-banner .swiper-slide .text .text-title span:not(:last-child) {
  margin-right: 4px;
}
.common-banner .swiper-slide .text .font-light {
  font-weight: 300;
}
.common-banner .swiper-slide .text .btn-list {
  display: flex;
  justify-content: center;
  margin-top: max(0.24rem, 20px);
}
.common-banner .swiper-slide .text .btn {
  width: 129px;
  height: 36px;
  border-radius: 22px;
  overflow: hidden;
  position: relative;
  z-index: 2;
  font-size: var(--font14);
  display: block;
}
.common-banner .swiper-slide .text .btn:not(:last-child) {
  margin-right: 20px;
}
.common-banner .swiper-slide .text .btn img {
  margin-left: 10px;
}
.common-banner .swiper-slide .text .btn::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 1;
  opacity: 0;
  border-radius: 22px;
}
.common-banner .swiper-slide .text .btn .inner {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  user-select: none;
  cursor: pointer;
  z-index: 2;
  background-color: transparent;
}
.common-banner .swiper-slide .text .btn-type1 {
  background: #010101;
  color: #fff;
}
.common-banner .swiper-slide .text .btn-type1 img {
  filter: brightness(0) invert(1);
}
.common-banner .swiper-slide .text .btn-type1::after {
  background-color: rgba(255, 255, 255, 0.1);
}
@media (hover: hover) and (min-width: 769px) {
  .common-banner .swiper-slide .text .btn-type1::after {
    opacity: 1;
  }
}
.common-banner .swiper-slide .text .btn-type2 {
  background-color: transparent;
  background: rgba(255, 255, 255, 0.01);
  border: 1px solid #000000;
  color: #000000;
}
@media (hover: hover) and (min-width: 769px) {
  .common-banner .swiper-slide .text .btn-type2:hover {
    background-color: var(--theme);
    border-color: var(--theme);
    color: #fff;
  }
  .common-banner .swiper-slide .text .btn-type2:hover img {
    filter: brightness(0) invert(1);
  }
}
.common-banner .swiper-slide .in_text {
  transform: translateY(100%);
  opacity: 0;
  transition: transform 0.6s ease-in-out 0.3s, opacity 0.6s ease-in-out 0.3s;
}
.common-banner .swiper-slide.swiper-slide-prev .in_text {
  transform: translateY(-100%);
  opacity: 0;
}
.common-banner .swiper-slide.swiper-slide-active .in_text {
  transform: translateY(0);
  opacity: 1;
}
.common-banner .swiper-slide.swiper-slide-next .in_text {
  transform: translateY(100%);
  opacity: 0;
}
.common-banner .common-banner-pagination {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 6.59793814%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.common-banner .common-banner-pagination .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  opacity: 1;
  background: rgba(255, 255, 255, 0.5);
  margin-left: 0;
  margin-right: 0;
  transition: var(--duration);
  position: relative;
  overflow: hidden;
  border-radius: 50%;
}
.common-banner .common-banner-pagination .swiper-pagination-bullet:not(:last-child) {
  margin-right: 8px;
}
.common-banner .common-banner-pagination .swiper-pagination-bullet .bar {
  position: absolute;
  left: 0;
  top: 0;
  width: 0;
  height: 100%;
  background-color: #fff;
}
.common-banner .common-banner-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
  width: 36px;
  height: 10px;
  border-radius: 10px;
}
.common-banner .common-banner-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active .bar {
  animation: widthChange var(--time) linear forwards;
}
.common-banner .banner-icon {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: max(0.64rem, 35px);
  height: max(0.64rem, 35px);
  background-color: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
  user-select: none;
  cursor: pointer;
  z-index: 2;
  border-radius: 50%;
  border: none;
  outline: none;
  transition: var(--duration);
}
.common-banner .banner-icon.theme-white {
  background-color: transparent;
}
.common-banner .banner-icon.theme-white img {
  filter: brightness(0) invert(1);
}
@media (hover: hover) and (min-width: 769px) {
  .common-banner .banner-icon:hover {
    background-color: var(--theme);
  }
  .common-banner .banner-icon:hover img {
    filter: brightness(0) invert(1);
  }
}
.common-banner .banner-icon img {
  display: block;
  width: 17.1875%;
  height: auto;
  transition: var(--duration);
}
.common-banner .banner-icon.banner-prev {
  left: max(0.4rem, 20px);
}
.common-banner .banner-icon.banner-next {
  right: max(0.4rem, 20px);
}
@media (max-width: 992px) {
  .common-banner .swiper-slide .text .btn {
    width: 86px;
    height: 28px;
    font-size: 12px;
  }
  .common-banner .swiper-slide .text .btn img {
    margin-left: 7px;
  }
}
@media (max-width: 768px) {
  .common-banner .swiper-slide .pic .pc-img {
    display: none;
  }
  .common-banner .swiper-slide .pic .phone-img {
    display: block;
  }
  .common-banner .swiper-slide .pic img {
    max-height: calc(100vh - var(--header-height));
    max-height: calc(100dvh - var(--header-height));
    object-fit: cover;
  }
  .common-banner .banner-icon {
    display: none;
  }
}
@media (max-width: 576px) {
  .common-banner {
    margin-bottom: 8px;
  }
  .common-banner .swiper-slide .text .btn {
    width: 86px;
    height: 28px;
    font-size: 12px;
  }
  .common-banner .swiper-slide .text .btn img {
    margin-top: 0.1em;
  }
  .common-banner .swiper-slide .text {
    top: 32px;
  }
  .common-banner .swiper-slide .text .text-desc {
    font-size: 14px;
  }
  .common-banner .swiper-slide .text .text-title {
    font-size: 25px;
    margin-top: 4px;
  }
  .common-banner .swiper-slide .text .btn-list {
    margin-top: 14px;
  }
  .common-banner .swiper-slide .text .btn-list .btn:not(:last-child) {
    margin-right: 16px;
  }
  .common-banner .common-banner-pagination {
    bottom: 24px;
  }
  .common-banner .common-banner-pagination .swiper-pagination-bullet {
    width: 8px;
    height: 8px;
  }
  .common-banner .common-banner-pagination .swiper-pagination-bullet:not(:last-child) {
    margin-right: 6px;
  }
  .common-banner .common-banner-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: 28px;
    height: 8px;
  }
  .common-banner .swiper-slide .text .btn img {
    width: 4px;
  }
}
@keyframes widthChange {
  from {
    width: 0%;
  }
  to {
    width: 100%;
  }
}
